GET /logistics/vrp/1.1.0/status (deprecated)
Method is no longer supported.
OpenAPI Specification
2GIS Navigation API (6.0.0)
Task status and solution
Get the status of the task and the solution if it is available
query Parameters
| task_id required | string Task ID |
| key required | string Developer API key |
Responses
Response Schema: application/json
| task_id required | string |
| status required | string (PublicTaskStatus) Enum: "Run" "Partial" "Fail" "Done" "Not Found" Task status:
|
PublicResultUrls (object) or null | |
integer or null Queue time for reachability matrix calculation (in seconds) | |
integer or null Reachability matrix calculation duration (in seconds) | |
integer or null Traveling salesman task calculation duration (in seconds) | |
integer or null Queue time for traveling salesman task calculation (in seconds) | |
string or null Reason for task failure (available when status is FAIL) |
Response samples
- 200
- 204
- 402
- 403
- 422
- 429
Content type
application/json
{- "task_id": "string",
- "status": "Run",
- "urls": {
- "url_vrp_solution": "string",
- "url_excluded": "string"
}, - "dm_queue": 0,
- "dm": 0,
- "vrp": 0,
- "vrp_queue": 0,
- "fail_reason": "string"
}